#!/bin/tcsh

# Phil Carns
# pcarns@hubcap.clemson.edu 
#
# This is an example script for how to get Scyld Beowulf cluster nodes
# to mount a PVFS file system.

set PVFSD = "/usr/local/sbin/pvfsd"
set PVFSMOD = "pvfs"
set PVFS_CLIENT_MOUNT_DIR = "/mnt/pvfs"
set MOUNT_PVFS = "/sbin/mount.pvfs"

if $1 == "" then
	echo "usage: pvfs_client_start.sh <ip address mgr>:<meta dir>"
	echo "(Causes every machine in the cluster to mount the PVFS file system)"
	exit -1
endif

# insert the pvfs module on the local and slave nodes
/sbin/modprobe $PVFSMOD
bpsh -a /sbin/modprobe $PVFSMOD

# start the pvfsd client daemon on the local and slave nodes
$PVFSD
bpsh -a $PVFSD

# actually mount the file system locally and on all of the slave nodes
$MOUNT_PVFS $1 $PVFS_CLIENT_MOUNT_DIR
bpsh -a $MOUNT_PVFS $1 $PVFS_CLIENT_MOUNT_DIR


