#!/bin/tcsh

# Phil Carns
# pcarns@hubcap.clemson.edu 
#
# This is an example script for how to get Scyld Beowulf cluster nodes
# to mount a PVFS file system.

set PVFSD = "/usr/local/sbin/pvfsd"
set PVFSMOD = "pvfs"
set PVFS_CLIENT_MOUNT_DIR = "/mnt/pvfs"
set MOUNT_PVFS = "/sbin/mount.pvfs"

# unmount the file system locally and on all of the slave nodes
/bin/umount $PVFS_CLIENT_MOUNT_DIR
bpsh -a /bin/umount $PVFS_CLIENT_MOUNT_DIR

# kill all of the  pvfsd client daemons
/usr/bin/killall pvfsd 

# remove the pvfs module on the local and the slave nodes
/sbin/rmmod $PVFSMOD
bpsh -a /sbin/rmmod $PVFSMOD

